---

- name: include os specific vars
  include_vars: "{{ ansible_distribution|lower|replace(' ', '_') }}.yml"

- name: installation of basic packets
  include_tasks: "install_{{ ansible_distribution|lower|replace(' ', '_') }}.yml"

- name: hardware-specific
  include_tasks: hardware.yml
  when: ansible_virtualization_role == "host"

- name: set hostname
  include_tasks: hostname.yml

- name: set locale
  include_tasks: locale.yml
  when: ansible_distribution|lower != "opensuse leap"

- name: maintenence user and sudo management
  include_tasks: user.yml

- name: configure ssh service and access
  include_tasks: ssh.yml

- name: configure systemd-timesyncd and remove ntp
  include_tasks: timesyncd.yml

- name: set journald config
  include_tasks: journald.yml

- name: set sysctls
  include_tasks: sysctl.yml
